import { BufferedHTTPServerRequest, EvaluationParameters, EvaluationScopeStateAPIs, Forwarders, HTTPServerResponse, ResolvedHeaderTransformation, ResolvedForwarder, ResolvedForwarders } from './type';
export declare const EVALUATION_SCOPE_NAMES: Array<string>;
export declare const applyStateAPIs: (request: BufferedHTTPServerRequest, response: HTTPServerResponse, forwarder: ResolvedForwarder) => Promise<{
    result: boolean;
    scope: EvaluationScopeStateAPIs;
}>;
export declare const determineForwarder: (request: BufferedHTTPServerRequest, response: HTTPServerResponse, forwarders: ResolvedForwarders) => ResolvedForwarder | null;
export declare const resolveForwarders: (forwarders: Forwarders) => ResolvedForwarders;
export declare const addParsedContentToRequest: (bufferedRequest: BufferedHTTPServerRequest) => void;
export declare const transformHeaders: (content: string, headerTransformations: Array<ResolvedHeaderTransformation>, parameters: EvaluationParameters) => string;
export declare const reverseProxyBufferedRequest: (request: BufferedHTTPServerRequest, response: HTTPServerResponse, forwarder: ResolvedForwarder, stateAPIScope: EvaluationScopeStateAPIs) => void;
export default reverseProxyBufferedRequest;
